%global _empty_manifest_terminate_build 0
Name:		python-tensorboard
Version:	2.10.1
Release:	1
Summary:	TensorBoard lets you watch Tensors Flow
License:	Apache 2.0
URL:		https://github.com/tensorflow/tensorboard
Source0:	https://files.pythonhosted.org/packages/80/49/a5ec29886ef823718c8ae54ed0b3ad7e19066b5bf21cec5038427e6a04c4/tensorboard-2.10.1-py3-none-any.whl
Source1:	https://files.pythonhosted.org/packages/74/69/5747a957f95e2e1d252ca41476ae40ce79d70d38151d2e494feb7722860c/tensorboard_data_server-0.6.1-py3-none-any.whl
BuildArch:	noarch

Requires:	python3-absl-py
Requires:	python3-grpcio
Requires:	python3-google-auth
Requires:	python3-google-auth-oauthlib
Requires:	python3-markdown
Requires:	python3-numpy
Requires:	python3-protobuf
Requires:	python3-requests
Requires:	python3-setuptools
Requires:	python3-tensorboard-data-server
Requires:	python3-tensorboard-plugin-wit
Requires:	python3-werkzeug
Requires:	python3-wheel

%description
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package -n python3-tensorboard
Summary:	TensorBoard lets you watch Tensors Flow
Provides:	python-tensorboard
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
%description -n python3-tensorboard
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package -n python3-tensorboard-data-server
Summary:	Fast data loading for TensorBoard
Provides:	python3-tensorboard-data-server
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
%description -n python3-tensorboard-data-server
Fast data loading for TensorBoard.

%package help
Summary:	Development documents and examples for tensorboard
Provides:	python3-tensorboard-doc
%description help
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%prep

%build
mkdir dist
cp %{SOURCE0} dist
cp %{SOURCE1} dist

%install
%py3_install_wheel *
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-tensorboard
%{_bindir}/tensorboard
%{python3_sitelib}/tensorboard
%{python3_sitelib}/tensorboard-*

%files -n python3-tensorboard-data-server
%{python3_sitelib}/tensorboard_data_server
%{python3_sitelib}/tensorboard_data_server-*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Nov 10 2022 Bin Hu <hubin73@huawei.com> - 2.10.1-1
- upgrade to version 2.10.1

* Thu Oct 08 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
